#include <iostream>
#include <numeric>
#include <vector>
#include "algorithm"

using namespace std;

bool comp(pair<int,int> a, pair<int,int> b){
    return (double)a.first/(double)a.second < (double)b.first/(double)b.second;
}


signed main() {
    cin.tie(0);
    cout.tie(0);
    int n,q;
    cin>>n>>q;
    vector<int> a(n);
    vector<int>b(n);
    vector<int>c(q);

    for (int i = 0; i < n; ++i) {
        cin>>a[i];
    }

    for (int i = 0; i < n; ++i) {
        cin>>b[i];
    }
    for (int i = 0; i < q; ++i) {
        cin>>c[i];
    }
    vector<pair<int,int>> facts;

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            facts.push_back({a[i],b[j]});
        }
    }

    std::sort(facts.begin(), facts.end(), comp);
    for(auto i:c){
        int verh = facts[i-1].first;
        int niz = facts[i-1].second;
        int GCD = gcd(verh,niz);
        verh = verh/GCD;
        niz = niz/GCD;
        cout<<verh<<" "<<niz<<endl;
    }
    return 0;
}